/*
 *	genv.h
 *
 *	$Id: genv.h,v 1.1 90/01/16 10:23:22 crash Exp Locker: crash $
 *
 *	Copyright (C) 1987 Stuart Lynne
 *	Copying and use of this program are controlled by the terms of the
 *	Free Software Foundations GNU Emacs General Public License.
 *
 *	Environment variables:
 *
 *		The following evironment variables are defined:
 *
 *	MAILBOX		current user's mailbox, 	"sl"
 *	NAME		current user's name, 		"Stuart Lynne"
 *	DOMAIN		domain of this machine, 	"mac.van-bc.can"
 *	MAILDIR		where mail is kept,			"/usr/mail"
 *	CONFDIR		where config data is  kept,	"/usr/lib/uucp"
 *	SPOOLDIR	where spooled files are 	"/usr/spool/uucp"
 *	LOGDIR		where log file is placed	"/usr/spool/uucp"
 *	PUBDIR		public spool directory		"/usr/spool/uucppublic"
 *	NEWSDIR		news directory				"/usr/spool/news"
 *	TEMPDIR		where temp files go			"/tmp"
 *	HOME		users private files			"/usr/sl"
 *	MAILSERVICE	who do we send remote mail	"van-bc"
 *	NODENAME	what is our local nodename	"slmac"
 *	DEVICE		what is the default device	".a"
 *	SPEED		what is the default speed	"1200"
 *	PAGESIZE	what is the screen size		"24"
 *	TIMEZONE	what is the machines TZ		"+0500"
 */
 
#define	NAME		"NAME"
#define	DOMAIN		"DOMAIN"
#define NODENAME	"NODENAME"
#define	MAILSERVICE	"MAILSERVICE"

#define HOME		"HOME"
#define	MAILBOX		"MAILBOX"
#define	MAILDIR		"MAILDIR"
#define	CONFDIR		"CONFDIR"
#define SPOOLDIR	"SPOOLDIR"
#define LOGDIR		"LOGDIR"
#define	PUBDIR		"PUBDIR"
#define NEWSDIR2	"NEWSDIR"
#define TEMPDIR		"TEMPDIR"

#define	DEVICE		"DEVICE"
#define	SPEED		"SPEED"
#define	PAGESIZE	"PAGESIZE"
#define	TIMEZONE	"TIMEZONE"
 
extern char	*name;
extern char	*domain;
extern char	*mailserv;
extern char	*nodename;

extern char	*home;
extern char	*mailbox;
extern char	*maildir;
extern char	*confdir;
extern char	*spooldir;
extern char	*logdir;
extern char	*pubdir;
extern char	*newsdir;
extern char	*tempdir;

extern char	*device;
extern char	*speed;
extern char	*pagesize;

void loadenv();
void mkfilename();
